eoVRPGenericCrossover(3)

NAME
eoVRPGenericCrossover - Implementation of the generic crossover for the VRP-TW by Tavares et al.

SYNOPSIS

#include <eoVRPQuadCrossover.h>

Inherits eoQuadOp< eoVRP >.

  Public Member Functions
eoVRPGenericCrossover ()
Deafult constructor.
std::string className () const
Returns a string containing the name of the class.
bool operator() (eoVRP &_genotype1, eoVRP &_genotype2)
Both parameters are the parents and the (future) children of the crossover.

  Private Member Functions
bool GenericCrossover (const Routes &_donor, Routes &_receiver) const
Actually performs the generic crossover.

Detailed Description

Implementation of the generic crossover for the VRP-TW by Tavares et al.

Definition at line 53 of file eoVRPQuadCrossover.h.

Member Function Documentation

  std::string eoVRPGenericCrossover::className (void) const [inline, virtual]

Returns a string containing the name of the class.

Used to display statistics.

Returns:
    The string containing the name of the class.

Reimplemented from eoQuadOp< eoVRP >.

Definition at line 71 of file eoVRPQuadCrossover.h.

  bool eoVRPGenericCrossover::operator() (eoVRP & _genotype1, eoVRP & _genotype2) [inline, virtual]

Both parameters are the parents and the (future) children of the crossover.

Parameters:
    _genotype1 The first parent.
    _genotype2 The second parent.

Returns:
    True if any of the parents was modified. False otherwise.

Implements eoBF< eoVRP &, eoVRP &, bool >.

Definition at line 85 of file eoVRPQuadCrossover.h.

References eoVRP::encode(), GenericCrossover(), and eoVRP::routes().

  bool eoVRPGenericCrossover::GenericCrossover (const Routes & _donor, Routes & _receiver) const [inline, private]

Actually performs the generic crossover.

Parameters:
    _donor Set of routes from the first parent.
    _receiver Set of routes from the second parent

Returns:
    True if the second parent was modified. False otherwise.

Definition at line 110 of file eoVRPQuadCrossover.h.

References eoRng::random().

Referenced by operator()().

Author

Generated automatically by Doxygen for CVRP-TW from the source code.